<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'wow_catalog',

    /*
     * Modules.
     */
    'modules'   => ['wow_catalog_product', 'wow_catalog_category'],

    'wow_catalog_product'       => [
        'model' => [
            'model' => \Litecms\WowCatalog\Models\WowCatalogProduct::class,
            'repository' => \Litecms\WowCatalog\Repositories\Eloquent\WowCatalogProductRepository::class,
            'table' => 'wow_catalog_products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['product_id',  'name',  'price',  'discounted_price',  'wow_category',  'status',  'image'],
            'translatables' => [],
            'upload_folder' => 'wow_catalog/wow_catalog_product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'WowCatalog',
            'module' => 'WowCatalogProduct',
        ],
    ],
    'wow_catalog_category'       => [
        'model' => [
            'model' => \Litecms\WowCatalog\Models\WowCatalogCategory::class,
            'repository' => \Litecms\WowCatalog\Repositories\Eloquent\WowCatalogCategoryRepository::class,
            'table' => 'wow_catalog_categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'price'],
            'translatables' => [],
            'upload_folder' => 'wow_catalog/wow_catalog_category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'WowCatalog',
            'module' => 'WowCatalogCategory',
        ],
    ],
];
