<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateWowCatalogProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: wow_catalog_products
         */
        Schema::create('wow_catalog_products', function ($table) {
            $table->increments('id');
            $table->integer('product_id')->nullable();
            $table->string('name', 65)->nullable();
            $table->float('price')->nullable();
            $table->float('discounted_price')->nullable();
            $table->tinyInteger('wow_category')->nullable();
            $table->tinyInteger('status')->nullable();
            $table->jsonb('image')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('wow_catalog_products');
    }
}
