<?php

namespace Litecms\WowCatalog\Seeders;

use DB;
use Illuminate\Database\Seeder;

class WowCatalogCategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('wow_catalog_categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'wow_catalog.wow_catalog_category.view',
                'name'      => 'View WowCatalogCategory',
            ],
            [
                'slug'      => 'wow_catalog.wow_catalog_category.create',
                'name'      => 'Create WowCatalogCategory',
            ],
            [
                'slug'      => 'wow_catalog.wow_catalog_category.edit',
                'name'      => 'Update WowCatalogCategory',
            ],
            [
                'slug'      => 'wow_catalog.wow_catalog_category.delete',
                'name'      => 'Delete WowCatalogCategory',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/wow_catalog/wow_catalog_category',
                'name'        => 'WowCatalogCategory',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/wow_catalog/wow_catalog_category',
                'name'        => 'WowCatalogCategory',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'wow_catalog_category',
                'name'        => 'WowCatalogCategory',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'WowCatalog',
                'module'    => 'WowCatalogCategory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'wow_catalog.wow_catalog_category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
