<?php

namespace Litecms\WowCatalog\Seeders;

use DB;
use Illuminate\Database\Seeder;

class WowCatalogProductTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('wow_catalog_products')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'wow_catalog.wow_catalog_product.view',
                'name'      => 'View WowCatalogProduct',
            ],
            [
                'slug'      => 'wow_catalog.wow_catalog_product.create',
                'name'      => 'Create WowCatalogProduct',
            ],
            [
                'slug'      => 'wow_catalog.wow_catalog_product.edit',
                'name'      => 'Update WowCatalogProduct',
            ],
            [
                'slug'      => 'wow_catalog.wow_catalog_product.delete',
                'name'      => 'Delete WowCatalogProduct',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/wow_catalog/wow_catalog_product',
                'name'        => 'WowCatalogProduct',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/wow_catalog/wow_catalog_product',
                'name'        => 'WowCatalogProduct',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'wow_catalog_product',
                'name'        => 'WowCatalogProduct',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'WowCatalog',
                'module'    => 'WowCatalogProduct',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'wow_catalog.wow_catalog_product.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
