Lavalite package that provides wow_catalog management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/wow_catalog`.

    "litecms/wow_catalog": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\WowCatalog\Providers\WowCatalogServiceProvider::class,

And also add it to alias

    'WowCatalog'  => Litecms\WowCatalog\Facades\WowCatalog::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\WowCatalog\\Seeders\\WowCatalogTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\WowCatalog\Providers\WowCatalogServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\WowCatalog\Providers\WowCatalogServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\WowCatalog\Providers\WowCatalogServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/wow_catalog/{modulename}

**User**

    http://path-to-route-folder/user/wow_catalog/{modulename}

**Public**

    http://path-to-route-folder/wow_catalogs


### API endpoints

**List**

    http://path-to-route-folder/api/user/wow_catalog/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/wow_catalog/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/wow_catalog/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/wow_catalog/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/wow_catalog/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/wow_catalog/{modulename}/{slug}
    METHOD: GET