<?php

namespace Litecms\WowCatalog\Forms;

use Litepie\Form\FormInterpreter;

class WowCatalogProduct extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('wow_catalog/wow_catalog_product/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('wow_catalog/wow_catalog_product/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('wow_catalog/wow_catalog_product'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('wow_catalog/wow_catalog_product'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('wow_catalog/wow_catalog_product'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('wow_catalog/wow_catalog_product'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('wow_catalog::wow_catalog.label.name'),
                "placeholder" => trans('wow_catalog::wow_catalog.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('wow_catalog::wow_catalog.label.created_at'),
            'name' => trans('wow_catalog::wow_catalog.label.name'),
            'status' => trans('wow_catalog::wow_catalog.label.status'),
        ];
        self::$groups = [
            'main' => trans('wow_catalog::wow_catalog.groups.main'),
            'details' => trans('wow_catalog::wow_catalog.groups.details'),
            'images' => trans('wow_catalog::wow_catalog.groups.images'),
            'settings' => trans('wow_catalog::wow_catalog.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('wow_catalog::wow_catalog.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('wow_catalog::wow_catalog.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('wow_catalog::wow_catalog.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('wow_catalog::wow_catalog.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('wow_catalog::wow_catalog_product.label.name'),
                "placeholder" => trans('wow_catalog::wow_catalog_product.placeholder.name'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('wow_catalog::wow_catalog_product.label.price'),
                "placeholder" => trans('wow_catalog::wow_catalog_product.placeholder.price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'discounted_price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('wow_catalog::wow_catalog_product.label.discounted_price'),
                "placeholder" => trans('wow_catalog::wow_catalog_product.placeholder.discounted_price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'wow_category' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('wow_catalog::wow_catalog_product.label.wow_category'),
                "placeholder" => trans('wow_catalog::wow_catalog_product.placeholder.wow_category'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'image' => [
                "element" => 'file',
                "type" => 'image',
                "label" => trans('wow_catalog::wow_catalog_product.label.image'),
                "placeholder" => trans('wow_catalog::wow_catalog_product.placeholder.image'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
