<?php

namespace Litecms\WowCatalog\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind WowCatalogProduct policy
        \Litecms\WowCatalog\Repositories\Eloquent\WowCatalogProductRepository::class 
        => \Litecms\WowCatalog\Policies\WowCatalogProductPolicy::class,// Bind WowCatalogCategory policy
        \Litecms\WowCatalog\Repositories\Eloquent\WowCatalogCategoryRepository::class 
        => \Litecms\WowCatalog\Policies\WowCatalogCategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
