<?php

namespace Litecms\WowCatalog\Repositories\Eloquent;

use Litecms\WowCatalog\Interfaces\WowCatalogCategoryRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\WowCatalog\Repositories\Eloquent\Presenters\WowCatalogCategoryItemPresenter;


class WowCatalogCategoryRepository extends BaseRepository implements WowCatalogCategoryRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.wow_catalog.wow_catalog_category.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.wow_catalog.wow_catalog_category.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return WowCatalogCategoryItemPresenter::class;
    }
}
