<?php

namespace Litecms\WowCatalog\Repositories\Eloquent;

use Litecms\WowCatalog\Interfaces\WowCatalogProductRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\WowCatalog\Repositories\Eloquent\Presenters\WowCatalogProductItemPresenter;


class WowCatalogProductRepository extends BaseRepository implements WowCatalogProductRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.wow_catalog.wow_catalog_product.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.wow_catalog.wow_catalog_product.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return WowCatalogProductItemPresenter::class;
    }
}
